
=head1 NAME

darktable - a digital photography workflow application

=head1 SYNOPSIS

C<darktable [options] [{IMG_1234.RAW,/path/to/load/}]>

Options:

    --help        
    --version
    -d {all,cache,camctl,control,dev,fswatch,memory,opencl,perf,pwstorage,sql}
    --library override.db
    --disable-opencl
    -t num_threads

=head1 DESCRIPTION

B<darktable> is a digital photography workflow application for B<Linux> 
and B<Mac OS X> in the lines of B<Adobe Lightroom> and B<Apple Aperture>.

The application is designed to ease editing and consistent processing of large 
photo sessions and provides a easy to use digital light-table and a set 
of sophisticated postprocessing tools.

Most processing is done in 32-bit floating point per channel mode in device independent 
B<CIE L*a*b*> color space. B<darktable> is also fully color managed, which gives 
you full control over the look of the photos.

The application relies on a modern plug-in architecture thus making it easy for 
3rd party developers to extend the existing capabilities of the application. 
All light-table and darkroom features are implemented as plug-ins, so you can 
create your plug-ins reusing existing code.

=head1 COMMAND LINE ARGUMENTS

=over

=item B<IMG_1234.CR2 or /path/to/load/>

Loads the given image in darkroom mode, or imports the given folder.

=item B<-d control>

Enable job queue debugging. If you redirect darktables output to B<control.log> and
call B<./tools/create_control_svg.sh control.log>, you will get a nice B<control.svg>
with a visualization of the threads' work.

=item B<-d cache>

This will give you a lot of debugging info about the mipmap cache for light table mode. If
compiled in debug mode, this will also tell you where in the code a certain buffer has
last been locked.

=item B<-d perf>

Use this for performance tweaking your darkroom modules. It will rdtsc-measure the
runtimes of all plugins and print them to stdout.

=item B<-d all>

Enable all debugging output.

=item B<--library override.db>

Uses override.db instead of the darktablerc specified library file. Should be an absolute path.

=item B<--disable-opencl>

For opencl builds only. Disables GPU computing at runtime. Useful to check
for bugs in our opencl code and to avoid buggy drivers on certain machines.

=item B<-t num_threads>

For openmp builds only. Overrides the default number of threads (= number of cores).

=back

=head1 OTHER INFO

Please visit B<darktable>'s website for news, bug tracker and forum: L<http://www.darktable.org>

=head1 KEYBINDINGS

All modes:

=over

=item B<F11>

Switch between fullscreen and normal modes of the application's window

=item B<Tab>

Show/hide sidebars

=item B<e>

Switch between light-table and darkroom modes

=item B<F7>

Decrease contrast

=item B<F8>

Increase contrast

=back

Lighttable mode:

=over

=item B<alt-1>

Zoom in on image under cursor

=item B<alt-2, 3>

Adjust zoom

=item B<alt-4>

Zoom out completely

=item B<q>

Zoom out to fit all images in one row inside viewport, center on image under cursor

=item B<a, s, d, w>

Move around (arrows also work)

=item B<1, 2, 3, 4, 5>

Star rating

=item B<ctrl-backspace>

Strip all stars (reject image)

=item B<F1, F2, F3, F4, F5>

Color labels: toggle red, yellow, green, blue and magenta

=item B<ctrl-g, ctrl-shift-g> 

Move to top, bottom, respectively

=item B<ctrl-e>

Export selected images

=back

Darkroom mode:

=over

=item B<alt-1, 2, 3>

Zoom to 1:1, fill, and fit, respectively

=item B<ctrl-f>

show/hide film strip

=item while cropping: B<Enter/Backspace>

apply/revert currently selected cropping frame

=back

=head1 RELATED

=over

=item B<darktable-faster> first copies the library to ram and then starts dt. On close, it is copied back, so even in case of crashes no data loss is anticipated.

=item B<darktable-viewer> screensaver version of dt. Shows the last active collection in full screen as a slideshow.

=back

=head1 BUGS

Please use the mailing list to report all the bugs you run into.

=head1 AUTHORS

The principal developer of darktable is Johannes Hanika. The (hopefully)
complete list of contributors to the project is:

DREGGNAUTHORS

This man page was written by Alexandre Prokoudine 
E<lt>alexandre.prokoudine@gmail.comE<gt>.

=head1 HISTORY

The project was started by Johannes Hanika in early 2009 to fill the gap 
(or, rather, a black hole) of a digital photography workflow tool on Linux.

=head1 COPYRIGHT AND LICENSE

B<Copyright (C)> 2009-2010 by Authors.

B<darktable> is free software; you can redistribute it and/or modify it
under the terms of the GPL v3 or (at your option) any later version.

=for comment
$Date$
